Subject: bug#58545: 28.2; Toolbar icons missing until X server is restarted

From: Po Lu <[email-masked]>
Date: Sun, 16 Oct 2022 08:28:56 +0800

Xuanrui Qi <[email-masked]> writes:

> When running Emacs, initially I see no icons on the toolbar, only
> text ("save", "undo", etc). However, if I restart my X server by e.g. pressing
> Alt-F2 and then
> typing "r" under GDM, the icons appear correctly on the toolbar.

If you mean in the "Run a Command" dialog used by GNOME Shell, then you
aren't restarting the X server, just the window manager.

> I have not been able to fix this problem even by reinstalling Emacs and
> clearing all Emacs configuration files, and I could not reproduce it on
> any other systems I control either, even though they are very similarly
> configured.
>
> I am not sure if this is a Emacs problem, but I don't see any missing
> icons in other GTK applications.

What about the GTK icon browser?